%global commitdate  20140107
%global commit      423fcb3b56be0536600aba02877426cbf60e61cb
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:           docsis
Version:        0.9.6
Release:        1.%{commitdate}git%{shortcommit}%{?dist}
Summary:        Encode a DOCSIS binary configuration file

License:        GPLv2+
URL:            http://docsis.sf.net
Source0:        https://github.com/AdrianSimionov/%{name}/archive/%{commit}.tar.gz#/%{name}-%{shortcommit}.tar.gz

BuildRequires:  automake libtool 
BuildRequires:  bison bison-devel flex flex-devel
BuildRequires:  net-snmp-devel
BuildRequires:  glib2-devel
BuildRequires:  help2man


%description
This program encodes a DOCSIS binary configuration file
from a human-readable text configuration file. 


%prep
%setup -qn%{name}-%{commit}
# call configure in %build
sed -i s,.*/configure.*,, autogen.sh
sh autogen.sh


%build
%configure
# FIXME lexer does not work in parallel, https://github.com/rlaager/docsis/issues/7
#make %{?_smp_mflags}
make
# generate manpage
help2man src/%{name} --no-discard-stderr -o %{name}.1


%install
%make_install
mkdir -p %{buildroot}%{_mandir}/man1
cp -p %{name}.1 %{buildroot}%{_mandir}/man1


%check
pushd tests
# FIXME repair failing tests
rm docsis1_* docsis20*
sh RunTests.sh
popd


%files
%doc AUTHORS COPYING NEWS README.md TODO 
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.html
%{_datadir}/%{name}/examples/
%dir %{_datadir}/snmp/mibs
%{_datadir}/snmp/mibs/*-MIB
%{_datadir}/snmp/mibs/DIFFSERV-DSCP-TC
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Jan 08 2015 Raphael Groner <projects.rg [AT] smart.ms> - 0.9.6-1.20140107git423fcb3
- initial
